{% extends "dashboard/dashboard_content.html" %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Department Section Split
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">

                <ul class="nav nav-tabs bar_tabs">
                    {% for active_batch in list_of_active_batches %}
                        {% if forloop.counter == 1 %}
                            <li {% if choosen_active_batch_pk == active_batch.active_batch_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ active_batch.active_batch_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ active_batch.display_text }}

                                </a>
                            </li>
                        {% else %}
                            <li {% if choosen_active_batch_pk == active_batch.active_batch_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="false"
                                   id={{ active_batch.active_batch_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ active_batch.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <form action="" method="post" class="form-horizontal" id="section_split_form">{% csrf_token %}

                        <input type="hidden" name="selected_active_batch_pk" value="{{ choosen_active_batch_pk }}"/>
                        <div class="form-group">
                            <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">
                                Number of Sections in this batch
                            </label>
                            <div class="col-md-5 col-sm-6 col-xs-12">
                                <input type="number" id="no_of_sections" placeholder="Enter No. of sections"
                                       name="no_of_sections" class="form-control" required
                                        {% if no_of_sections %}
                                       value="{{ no_of_sections }}"
                                        {% endif %}
                                >
                            </div>
                            <input type="hidden" name="no_of_section_submit" value="no_of_section_submit"/>
                        </div>
                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button type="button" class="btn brn-lg btn-success" data-toggle="modal"
                                    data-target="#split_warning_prompt">Change
                            </button>
                        </div>
                    </form>
                    <form action="" method="post" class="form-horizontal"
                          id="student_section_assign_form">{% csrf_token %}
                        <input type="hidden" name="no_of_sections" value="{{ no_of_sections }}"/>
                        <input type="hidden" name="selected_active_batch_pk" value="{{ choosen_active_batch_pk }}"/>
                        {% if student_list_with_section %}
                            <div class="col-md-8 col-md-offset-2">
                                <table class="table table-condensed table-striped table-responsive">
                                    <thead>
                                    <tr>
                                        <th>S. No.</th>
                                        <th>Roll No.</th>
                                        <th>Name</th>
                                        <th>Section</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for stud in student_list_with_section %}
                                        <tr>
                                            <td>{{ forloop.counter }}</td>
                                            <td>{{ stud.roll_no }}</td>
                                            <td>{{ stud.name }}</td>
                                            <td>
                                                <select class="form-control" name="section_{{ stud.roll_no }}">
                                                    <option value="None">No section assigned</option>
                                                    {% for sec in list_of_department_sections %}
                                                        <option value="{{ sec.pk }}"
                                                                {% if stud.section_name == sec.section_name %}
                                                                selected="selected"
                                                                {% endif %}>Section {{ sec.section_name }}</option>
                                                    {% endfor %}
                                                </select>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                                <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                                    <button type="submit" class="btn brn-lg btn-success"
                                            value="Save" name="split_student_submit">Assign
                                    </button>
                                </div>
                            </div>

                        {% endif %}
                    </form>
                </div>
            </div>
        </div>
    </div>
    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>


    <script type="text/javascript">


        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {
                //curent_subject = this.id;
                {#                alert(this.id);#}

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_active_batch_pk'});
                $hiddenInput.appendTo('form');


                $('#dummy_form').submit();

            });
        });

        $('document').ready(function () {
            $("#submit_form").click(function () {
                $("#section_split_form").submit();
            });
        });


    </script>


    <div id="split_warning_prompt" class="modal fade" role="dialog">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Warning</h4>
                </div>
                <div class="modal-body">
                    <div class="col-md-8 col-md-offset-2">
                        <blockquote>
                            <p>
                                The Action you are going to perform will have the following Effects
                            <ul>
                                <div id="add_stmt"></div>
                                <li>This operation will delete all the faculty advisor assignment of this batch for
                                    current semester(s) of this department
                                </li>
                                <li>Will remove any associated timetable and staff allotment settings</li>
                                <li>Will remove students assgined to a particular section</li>
                                <li>Will remove associated attendance marked by faculties of that department</li>
                            </ul>
                            </p>
                        </blockquote>

                    </div>

                </div>
                <div class="clearfix"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-lg btn-primary" data-dismiss="modal" id="submit_form">Confirm
                    </button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

